# Contributing guidelines

* [Code of Conduct](#code-of-conduct)
* [Issues](#issues)
* [Pull Requests](#pull-requests)

## Code of Conduct

This project has a [Code of Conduct](CODE_OF_CONDUCT.md) to which all
contributors must adhere when participating in the project. Instances of
abusive, harassing, or otherwise unacceptable behavior may be reported by
contacting [open-source@deepl.com](mailto:open-source@deepl.com) and/or a
project maintainer.

## Issues

If you experience problems using the library, or would like to request a new
feature, please open an [issue][issues].

Please provide as much context as possible when you open an issue. The
information you provide must be comprehensive enough for us to reproduce the
issue.

## Pull Requests

You are welcome to contribute code and/or documentation in order to fix a bug or
to implement a new feature. Before beginning work, you should create an issue
describing the changes you plan to contribute, to avoid wasting or duplicating
effort. We will then let you know whether we would accept the changes.

Contributions must be licensed under the same license as the project:
[MIT License](LICENSE.md).

Currently automated testing is implemented internally at DeepL, however we plan
to implement publicly visible testing soon.

[issues]: https://www.github.com/DeepLcom/deepl-rb/issues
